import { APIClient } from "./ApiClient";

/**
 * Data management api client
 */
export class DataApi {
  /**
   * Export the data of a family
   */
  static async ExportData(family_id: number): Promise<Blob> {
    const res = await APIClient.exec({
      uri: `/family/${family_id}/data/export`,
      method: "GET",
    });
    return res.data;
  }
}
